EEPGET(1)

NOME
Eepget - gerenciador de download da I2P

SINOPSE
eepget [options]URL

DESCRIÇÃO

Baixe um arquivo de forma não interativa via HTTP. Transferências através de I2P e da Internet regular são suportadas.

Eepget é capaz de lidar com conexões de rede lentas ou instáveis; Se um download não for bem-sucedido devido a um problema de rede, ele continuará tentando novamente até que o arquivo inteiro tenha sido recuperado (se a opção -n estiver definida). Se suportado pelo servidor remoto, o eepget instruirá o servidor a continuar o download a partir do ponto de interrupção.

OPÇÕES
-c

Clearnet. Não use um proxy. O mesmo que -p :0 .

-e etag

Define o valor etag nos cabeçalhos de solicitação.

-h nome=valor

Adiciona um cabeçalho de solicitação arbitrário com o nome e o valor fornecidos.

-l lineLen

Controla a exibição de progresso.  lineLen  é o comprimento de uma linha de progresso em caracteres. O padrão é 40.

-m markSize

Controla a exibição de progresso.  markSize  é o número de bytes que um caractere '#' representa. O padrão é 1024.

-n retries

Especifique o número de vezes que o download for repetido se o download não for bem-sucedido. Se essa opção não for especificada, o eepget não tentará novamente.

-o arquivo

Define o arquivo de saída para gravar. Se essa opção não for fornecida, o nome do arquivo de saída será determinado pela URL.

-p proxy_host[:port]

Especifique um servidor proxy I2P (eeproxy) a ser usado. Se a porta não for especificada, eepget usará 4444. Se essa opção não for especificada, eepget usará 127.0.0.1:4444. Especificar -c ou -p :0 para desativar o eeproxy.

-t segundos

Especifique o intervalo de tempo de espera. O valor padrão, por omissão, é de 60 segundos.

-u nome de usuário

Defina o nome de usuário para a autorização do proxy, se necessário.

-x senha

Define a senha para autorização de proxy, se necessário. Se um nome de usuário for especificado, mas não uma senha, o EepGet solicitará a senha.

STATUS DE SAÍDA
eepget sai com status zero após a transferência bem-sucedida e diferente de zero se houver problemas com o download.

RELATANDO ERROS
Por favor, insira um problema em the I2P GitLab server (https://i2pgit.org/i2p-hackers/i2p.i2p/-/issues).

VER TAMBÉM
i2prouter(1) curl(1) wget(1)